Skip to main content
PUT
Update plan phase

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

plan_id
string<uuid>
required

The ID of the plan

phase_id
string<uuid>
required

The ID of the phase

Body

application/json
id
string<uuid> | null

Plan Phase ID

name
string | null

Plan name

description
string | null

Product Description

schedule
Schedule · object | null

Schedule of the Phase

order
integer | null

Order of the phase

features
UpdateProductPricingRequestSchema · object | null

Phase Features

pricings
UpdatePlanPhasePricingRequestSchema · object[] | null

Different Product Pricings

Response

Successful Response

name
string
required

Plan name

schedule
Schedule · object
required

Schedule of the phase

order
integer
required

Order of the phase

id
string<uuid>
required

Plan ID

created_at
string<date-time>
required

Plan created at

updated_at
string<date-time>
required

Plan updated at

plan_id
string<uuid>
required

Plan ID

description
string | null

Product Description

pricings
PlanPhasePricingResponseSchema · object[] | null

Different Product Pricings

features
ProductPricingResponseSchema · object | null

Phase Features